Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
E-leg med Personal och kortläsare NCR1 (Nordeas nya)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Scandinavian
View previous topic :: View next topic  
Author Message
jernlas
n00b
n00b


Joined: 22 Jul 2009
Posts: 4

PostPosted: Wed Jul 22, 2009 8:46 am    Post subject: E-leg med Personal och kortläsare NCR1 (Nordeas nya) Reply with quote

Detta gäller native linuxstöd, inte något fippel med wine/ie/eller virtualbox.

Det är rätt pilligt att installera men det går numera. Jag orkar inte riktigt med att återskapa alla mina steg just nu, men jag tänkte måla upp en bild, förhoppningsvis kan någon annan göra en howto av det.
Jag har utgått från http://ubuntu-se.org/wiki/NexusPersonal och http://ubuntu.se/forum/showthread.php?p=23523#post23523

  • Code:
    emerge pcsc-lite
    (+hal -usb) (ja hal och usb konfliktar, och usb kommer att väljas bort iaf. hal fungerar utmärkt för usb-kortläsare)
  • Code:
    emerge app-crypt/ccid

  • Code:
    emerge =gcc-4.3.2-r4
    (detta är lite parodiskt, men jag var tvungen att emergea denna igen för att allt skulle vilja, kanske var något lite mystiskt hos mig, denna borde gå att hoppa över)
  • Hämta och packa upp drivrutiner och Personal. När detta skrevs hette länkarna http://www.nordea.se/sitemod/upload/root/se_org/e-legitimation/resurs/NCR1_Linux.zip och http://www.nordea.se/sitemod/upload/root/se_org/e-legitimation/resurs/NexusPersonal_Linux.gz.
  • Installera drivrutinerna, men detta modifierade kommandot
    Code:
    sudo tar xvzf AgmII_Debian_install.tar.gz -C /usr/lib/readers/usb/

  • Installera personal
    Code:
    install.4.10.2.16.sh -i
    Allt fungerar utom placeringen av libplugins.so. Jag är fortfarande inte säker på var den ska ligga, så någon kan få hjälpa mig att reda ut det, men tanken är att du gör en symlänk till rätt ställe, ex
    Code:
    ln -s /usr/local/lib/personal/libplugins.so /usr/lib/mozilla/plugins/
    . Observera att här är jag osäker, det finns många ställen att lägga plugins på, jag är inte säker på vilken som fungerade.
  • Code:
    emerge mozilla-firefox-bin

  • Code:
    su /etc/init.d/pcscd start

  • starta ett nytt terminalfönster
  • kör
    Code:
    export LD_LIBRARY_PATH=`dirname "$0"`:/usr/lib/gcc/i686-pc-linux-gnu/4.3.2/

  • kör
    Code:
    personal &
    stoppa i läsare och kort. det borde dyka upp i personal
  • Kör
    Code:
    firefox-bin &
    och gå till, "about:plugins" om du ser Personal här så är du nära mål. Annars får du fortsätta fippla med symlänkar till libplugin.so.
  • hit och följ instruktionerna vid "Ingen säkerhetsmodul"
  • gå till nordea.se och logga in:), du kommer att behöva återanvända export-raden. Magin går ut på att Personal är byggd med en viss version av gcc, så de biblioteken måste matcha, det är även därför firefox-bin funkar, men inte vanliga firefox, för den normala har du antagligen byggt med nyare gcc.


Lycka till
Back to top
View user's profile Send private message
Bluesquare
n00b
n00b


Joined: 26 Oct 2009
Posts: 24

PostPosted: Thu Dec 10, 2009 9:40 pm    Post subject: Reply with quote

Det finns en ebuild via layman/sunrise duger inte den?
Back to top
View user's profile Send private message
jernlas
n00b
n00b


Joined: 22 Jul 2009
Posts: 4

PostPosted: Thu Dec 10, 2009 9:52 pm    Post subject: Reply with quote

Jo det verkar det finnas och den är säkert jättebra. Jag skrev detta när de precis släppt linuxbinärerna ifall någon var intresserad och hade samma problem som jag. Jag kände inte till att någon annan löst problemet helt enkelt.
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4831
Location: Gothenburg, Sweden

PostPosted: Sun Dec 13, 2009 9:17 pm    Post subject: Reply with quote

Kan vara värt att nämna att Nexus Personal tyvärr bara finns som 32-bitars och bara fungerar med 32-bitars drivrutiner för kortläsare. För alla med 64-bitars installationer behöver man därför installera pcsc-lite och ccid som 32-bitars. I brist på äkta multilib-stöd kan man som fullösning installera dem med -m32 i CFLAGS.

Samma problem gäller för Handelsbanken.

Edit: Fixat pscs-lite -> pcsc-lite
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 351
Location: Stockholm, Sweden

PostPosted: Tue May 03, 2011 3:00 pm    Post subject: Reply with quote

Bluesquare wrote:
Det finns en ebuild via layman/sunrise duger inte den?


Vad heter den ebuilden? Jag letar nu men hittar inget.
_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
jernlas
n00b
n00b


Joined: 22 Jul 2009
Posts: 4

PostPosted: Tue May 03, 2011 3:03 pm    Post subject: Reply with quote

Har för mig att det blev någon form av trassel med den och att den togs bort. :( Det finns en installer för ubuntu som ska gå, men jag har inte fått till det.
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 351
Location: Stockholm, Sweden

PostPosted: Wed May 04, 2011 9:02 pm    Post subject: Reply with quote

jernlas wrote:
Har för mig att det blev någon form av trassel med den och att den togs bort. :( Det finns en installer för ubuntu som ska gå, men jag har inte fått till det.


Samma sak för mig, det fungerar varken med sladd och kort eller på fil. Lyckades inte ladda ned filen för att testa i och för sig i och med att Nordea inte låter en ladda ned filen om man inte "uppfyller systemkraven". Jag uppfyller dem varken på Windows eller Linux ser det ut som, kanske för att jag för FF4.
_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Scandinavian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum